//
//  PhidgetSpatialEventData.m
//  CocoaSpatial
//
//  Created by Patrick McNeil on 10-05-20.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PhidgetSpatialEventData.h"


@implementation PhidgetSpatialEventData

-(id)initWithHandle:(CPhidgetSpatial_SpatialEventDataHandle)handle
{
	if(self = [super init])
	{
		memcpy(&data, handle, sizeof(CPhidgetSpatial_SpatialEventData));
	}
	return self;
}

-(CPhidgetSpatial_SpatialEventDataHandle)Data
{
	return &data;
}

@end
